it.emasab.Mailclassifier.mailclassifierColId="mailclassifierCol";

it.emasab.Mailclassifier.mcColumnHandler = {
   getCellText: function(row, column) {
      	if(column==it.emasab.Mailclassifier.mailclassifierColId || column.id==it.emasab.Mailclassifier.mailclassifierColId){
		fol=it.emasab.Mailclassifier.controller.getFirstMessageClassification(gDBView.getURIForViewIndex(row));
		return this.getFullPath(fol);
	}
	return "";
   },
   getFullPath: function(fol){
	var ret = "";
   	while(fol && fol.parent){
		if(ret.length==0) ret = fol.name;
		else ret = fol.name + " / " + ret;
		fol = fol.parent;	
	}
	return ret;
   },
   getSortStringForRow: function(hdr) {
	var uri = hdr.folder.getUriForMsg(hdr);
	var fol=it.emasab.Mailclassifier.controller.getFirstMessageClassification(uri);
	return this.getFullPath(fol);
   },
   isString:            function() {return true;},

   getCellProperties:   function(row, col, props){},
   getRowProperties:    function(row, props){},
   getImageSrc:         function(row, col) {return null;},
   getSortLongForRow:   function(hdr) {return 0;}
}

it.emasab.Mailclassifier.addMCColumnHandler = function() {
   gDBView.addColumnHandler(it.emasab.Mailclassifier.mailclassifierColId, it.emasab.Mailclassifier.mcColumnHandler);
}

it.emasab.Mailclassifier.mcDbObserver = {
  // Components.interfaces.nsIObserver
  observe: function(aMsgFolder, aTopic, aData)
  {  
     if(aTopic=="MsgCreateDBView"){
     	it.emasab.Mailclassifier.addMCColumnHandler();
     }
  }
}

