
it.emasab.Mailclassifier.createTokenizer = function(){
	var atokenizer=Components.classes['@uniroma3.it/MailClassifier/nsMCTokenizer;1'].createInstance();
	atokenizer.QueryInterface(Components.interfaces.nsIMCTokenizer);
	//atokenizer=it.emasab.Mailclassifier.getProxyFor(atokenizer,Components.interfaces.nsIMCTokenizer,it.emasab.Mailclassifier.Services.proxyObjectManager.INVOKE_SYNC | it.emasab.Mailclassifier.Services.proxyObjectManager.FORCE_PROXY_CREATION);
	return atokenizer;
}

it.emasab.Mailclassifier.TokenStreamListener = function(uri,listener){
	this.uri=uri;
	this.listener=listener;
	this.mTokenizer=it.emasab.Mailclassifier.createTokenizer();
	this.buffer="";
	this.mSetAttachmentFlag=false;
	this.mLeftOverCount=0;
	this.processHeaders=function(names,values,dontCollectAddress){
 		this.mTokenizer.tokenizeHeaders(names, values);
	}
	this.handleAttachment=function(contentType, url, displayName, uri, aIsExternalAttachment){
   		this.mTokenizer.tokenizeAttachment(contentType, displayName);
	}
	this.getScriptableStream=function(is){
		var sis=Components.classes["@mozilla.org/scriptableinputstream;1"].createInstance(Components.interfaces.nsIScriptableInputStream);
		//sis=it.emasab.Mailclassifier.getProxyFor(sis,Components.interfaces.nsIScriptableInputStream,it.emasab.Mailclassifier.Services.proxyObjectManager.INVOKE_SYNC | it.emasab.Mailclassifier.Services.proxyObjectManager.FORCE_PROXY_CREATION);
		sis.init(is);
		return sis;
	}
	this.onEndMsgHeaders=function(){}
	this.onEndAllAttachments=function(){}
	this.onDataAvailable=function(request , context , inputStream , offset , count ){
		var sis=this.getScriptableStream(inputStream);
		this.buffer = sis.read(3000);		
		this.mTokenizer.tokenize(this.buffer);
		this.buffer="";
		
	}
	this.onStartRequest=function(request,context){
		request.QueryInterface(Components.interfaces.nsIChannel);
		var uri=request.URI;
		uri.QueryInterface(Components.interfaces.nsIMsgMailNewsUrl);
		uri.msgHeaderSink=this;
	}
	this.onStopRequest=function(request,context,statusCode){
		if(this.listener) this.listener.onTokenAvailable(this.uri,this.mTokenizer);
	}	
    	this.QueryInterface= function (iid) {
        	if(iid.equals(Components.interfaces.nsIStreamListener)) return this;
		if(iid.equals(Components.interfaces.nsIMsgHeaderSink)) return this;
		if(iid.equals(Components.interfaces.nsISupports)) return this;
	        throw Components.results.NS_ERROR_NO_INTERFACE;
   	}
}

it.emasab.Mailclassifier.tokenizeMessage = function(uri,listener){
	dump("start: " + uri);
	var tokenListener = new it.emasab.Mailclassifier.TokenStreamListener(uri,listener);
	var msgService=it.emasab.Mailclassifier.Services.messenger.messageServiceFromURI(uri);
	//msgService=it.emasab.Mailclassifier.getAsyncProxy(msgService,Components.interfaces.nsIMsgMessageService);
	//tokenListener = it.emasab.Mailclassifier.getAsyncProxy(tokenListener,Components.interfaces.nsIStreamListener);
	
	return msgService.streamMessage(uri,tokenListener,null,null,true,"filter");
}
